myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Scott O'Bryan (JIRA)" <...@myfaces.apache.org>
Subject [jira] Resolved: (TRINIDAD-2042) Trinidad TagDoc report plugin does not allow mvn site:site target to run
Date Tue, 01 Mar 2011 17:23:36 GMT

     [ https://issues.apache.org/jira/browse/TRINIDAD-2042?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Scott O'Bryan resolved TRINIDAD-2042.
-------------------------------------

       Resolution: Fixed
    Fix Version/s: 2.0.0-beta-3

Issue fixed.  Tested with Maven 3.  Maven 2.2 does NOT work.

> Trinidad TagDoc report plugin does not allow mvn site:site target to run
> ------------------------------------------------------------------------
>
>                 Key: TRINIDAD-2042
>                 URL: https://issues.apache.org/jira/browse/TRINIDAD-2042
>             Project: MyFaces Trinidad
>          Issue Type: Bug
>          Components: Plugins
>            Reporter: Scott O'Bryan
>            Assignee: Scott O'Bryan
>             Fix For: 2.0.0-beta-3
>
>
> When running 'mvn site:site' on main, the following error is thrown:
> org.apache.commons.logging.LogConfigurationException: org.apache.commons.logging.LogConfigurationException:
org.apache.commons.logging.LogConfigurationException: Invalid class loader hierarchy.  You
have more than one version of 'org.apache.commons.logging.Log' visible, which is not allowed.
(Caused by org.apache.commons.logging.LogConfigurationException: Invalid class loader hierarchy.
 You have more than one version of 'org.apache.commons.logging.Log' visible, which is not
allowed.) (Caused by org.apache.commons.logging.LogConfigurationException: org.apache.commons.logging.LogConfigurationException:
Invalid class loader hierarchy.  You have more than one version of 'org.apache.commons.logging.Log'
visible, which is not allowed. (Caused by org.apache.commons.logging.LogConfigurationException:
Invalid class loader hierarchy.  You have more than one version of 'org.apache.commons.logging.Log'
visible, which is not allowed.))
> 	at org.apache.commons.logging.impl.LogFactoryImpl.newInstance(LogFactoryImpl.java:543)
> 	at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:235)
> 	at org.apache.commons.logging.LogFactory.getLog(LogFactory.java:370)
> 	at org.apache.commons.digester.Digester.<init>(Digester.java:304)
> 	at org.apache.myfaces.trinidadbuild.plugin.tagdoc.TagdocReport.readIndex(TagdocReport.java:1673)
> 	at org.apache.myfaces.trinidadbuild.plugin.tagdoc.TagdocReport.processIndex(TagdocReport.java:1592)
> 	at org.apache.myfaces.trinidadbuild.plugin.tagdoc.TagdocReport.executeReport(TagdocReport.java:105)
> ....
> It looks like there is an incompatible logger version or the logger has been declared
multiple times in the environment.  This must be fixed before the maven site can be generated.

-- 
This message is automatically generated by JIRA.
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message